Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.interfaces
Class EPPAllocationTokenDomainTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.interfaces.EPPAllocationTokenDomainTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPAllocationTokenDomainTst

extends junit.framework.TestCase

Is a unit test of the `EPPAllocationToken` class. The unit test will initialize a session with an EPP Server, will invoke `EPPDomain` operations with the Allocation Token Extension, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
java com.verisign.epp.interfaces.EPPAllocationTokenDomainTst -Dthreads=2 ../../epp.config
The unit test is dependent on the use of JUNIT 3.5

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $

Constructor Summary
`EPPAllocationTokenDomainTst(java.lang.String name)` Allocates an `EPPAllocationTokenDomainTst` with a logical name.

Method Summary
`void` | `domainCreate()` Unit test of `EPPDomain.sendCreate` with allocation token extension.
`void` | `domainInfo()` Unit test of `EPPDomain.sendInfo` with allocation token.
`void` | `domainTransfer()` Unit test of `EPPDomain.sendTransfer` with allocation token extension.
`void` | `domainUpdate()` Unit test of `EPPDomain.sendUpdate` with allocation token extension.
`void` | `handleException(java.lang.Exception aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`java.lang.String` | `makeContactName()` Makes a unique contact name using the current time.
`java.lang.String` | `makeDomainName()` This method tries to generate a unique String as Domain Name and Name Server
`java.lang.String` | `makeHostName(java.lang.String newDomainName)` Makes a unique host name for a domain using the current time.
`java.lang.String` | `makeIP()` Makes a unique IP address based off of the current time.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPAllocationTokenDomainTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testDomain()` JUNIT test method to implement the `EPPAllocationTokenDomainTst TestCase`.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPAllocationTokenDomainTst

    public EPPAllocationTokenDomainTst(java.lang.String name)

  Allocates an `EPPAllocationTokenDomainTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.

  Parameters:
    `name` - Logical name of the test

Method Detail

### testDomain

    public void testDomain()

  JUNIT test method to implement the `EPPAllocationTokenDomainTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPDomain interface.

### domainInfo

    public void domainInfo()

  Unit test of `EPPDomain.sendInfo` with allocation token.

### domainCreate

    public void domainCreate()

  Unit test of `EPPDomain.sendCreate` with allocation token extension.

### domainTransfer

    public void domainTransfer()

  Unit test of `EPPDomain.sendTransfer` with allocation token extension.

### domainUpdate

    public void domainUpdate()

  Unit test of `EPPDomain.sendUpdate` with allocation token extension.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPAllocationTokenDomainTst`.

  Returns:
    Test suite

### handleException

    public void handleException(java.lang.Exception aException)

  Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.

  Parameters:
    `aException` - Exception thrown during test

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - Command line arguments

### makeDomainName

    public java.lang.String makeDomainName()

  This method tries to generate a unique String as Domain Name and Name Server

  Returns:
    DOCUMENT ME!

### makeIP

    public java.lang.String makeIP()

  Makes a unique IP address based off of the current time.

  Returns:
    Unique IP address `String`

### makeHostName

    public java.lang.String makeHostName(java.lang.String newDomainName)

  Makes a unique host name for a domain using the current time.

  Parameters:
    `newDomainName` - DOCUMENT ME!
  Returns:
    Unique host name `String`

### makeContactName

    public java.lang.String makeContactName()

  Makes a unique contact name using the current time.

  Returns:
    Unique contact name `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.